Marketplace Agreements - List

List marketplace agreements in the subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.MarketplaceOrdering/agreements?api-version=2021-01-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string

The subscription ID that identifies an Azure subscription.

api-version
query True

string

The API version to use for the request.

Responses

Name Type Description
200 OK

OldAgreementTermsList

Terms returned successfully

Other Status Codes

ErrorResponse

Microsoft.MarketplaceOrdering error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ListMarketplaceTerms

Sample request

GET https://management.azure.com/subscriptions/subid/providers/Microsoft.MarketplaceOrdering/agreements?api-version=2021-01-01

Sample response

{
  "value": [
    {
      "id": "id1",
      "name": "planid1",
      "type": "Microsoft.MarketplaceOrdering/agreements",
      "properties": {
        "publisher": "publisher1",
        "offer": "offer1",
        "signDate": "2021-05-01T08:05:53.8374396Z",
        "state": "Active"
      }
    },
    {
      "id": "id2",
      "name": "planid2",
      "type": "Microsoft.MarketplaceOrdering/agreements",
      "properties": {
        "publisher": "publisher2",
        "offer": "offer2",
        "cancelDate": "2021-11-14T16:21:43.6945196Z",
        "state": "Canceled"
      }
    }
  ]
}

Definitions

Name Description
Error

The details of the error.

ErrorResponse

Error response indicates Microsoft.MarketplaceOrdering service is not able to process the incoming request. The reason is provided in the error message.

OldAgreementTerms

Terms properties for provided Publisher/Offer/Plan tuple

OldAgreementTermsList

Agreement Terms definition list

state

Whether the agreement is active or cancelled

Error

The details of the error.

Name Type Description
code

string

Error code.

message

string

Error message indicating why the operation failed.

ErrorResponse

Error response indicates Microsoft.MarketplaceOrdering service is not able to process the incoming request. The reason is provided in the error message.

Name Type Description
error

Error

The details of the error.

OldAgreementTerms

Terms properties for provided Publisher/Offer/Plan tuple

Name Type Description
id

string

Resource ID.

name

string

Resource name.

properties.cancelDate

string (date-time)

Date and time in UTC of when the terms were cancelled. This is empty if state is active.

properties.id

string

A unique identifier of the agreement.

properties.offer

string

Offer identifier string of image being deployed.

properties.publisher

string

Publisher identifier string of image being deployed.

properties.signDate

string (date-time)

Date and time in UTC of when the terms were accepted. This is empty if state is cancelled.

properties.state

state

Whether the agreement is active or cancelled

type

string

Resource type.

OldAgreementTermsList

Agreement Terms definition list

Name Type Description
value

OldAgreementTerms[]

Terms properties for provided Publisher/Offer/Plan tuple

state

Whether the agreement is active or cancelled

Value Description
Active
Canceled